CON
  serXmit   = 30                      ' Serial Transmit
  serRecv   = 31                      ' Serial Receive
  speed     = 57600

  XbMode  = 0
  XbBaud  = 57600
  MY_PAN   = 7


#ifdef DEMO_BOARD
  wavClockTickLed = 16
  elClockTickLed  = 17
  MouthMoveLed    = 23

  sdaPin = 9
  sclPin = 10

  MY_ADDR  = 1

{
  XbRxPin = 4
  XbTxPin = 5
}
  XbRxPin = 5
  XbTxPin = 4

'sound -
  LaudioPin = 10
  RaudioPin = 11

  'we usually plug in the sd card starting at pin 0(0,1,2,3)
  FS_BASE_PIN = 0

#else
#ifdef BOE
  wavClockTickLed = 10
  elClockTickLed  = 9
  MouthMoveLed    = 8

'#define USE_FILE_SYSTEM
  MY_ADDR  = 3

  XbRxPin = 0
  XbTxPin = 1

'sound -
  LaudioPin = 27
  RaudioPin = 26
  {
    This socket is hardwired to I/O pins: P22 - DO (data out); P23 - CLK (clock); P24 - DI/CD (data in and
    card detect); P25 - /CS (active low chip select).
  }
  FS_BASE_PIN = 22

  'TBD - if I can find a way to access these pins - otherwise move to somewhere else!!!!
  sdaPin = 29
  sclPin = 28

#else
#ifdef PKS
  RaudioPin = 26
#endif
#endif
#endif

' upper 4 bits are the device type
' next lower 3 bits are the bus address
' LSB is the R/W bit. 0 = write 1 = read. This app only writes so leave this bit cleared.
   i2cMuxAddr0 = %0100_000_0
   i2cMuxAddr1 = %0100_001_0
   i2cMuxAddr2 = %0100_010_0
   i2cMuxAddr3 = %0100_011_0
   i2cMuxAddr4 = %0100_100_0
   i2cMuxAddr5 = %0100_101_0
   i2cMuxAddr6 = %0100_110_0
   i2cMuxAddr7 = %0100_111_0

   numI2cMuxBits = 8

   i2cpin8    = %11111110
   i2cpin7    = %11111101
   i2cpin6    = %11111011
   i2cpin5    = %11110111
   i2cpin4    = %11101111
   i2cpin3    = %11011111
   i2cpin2    = %10111111
   i2cpin1    = %01111111
   i2CpinsOff = %11111111
   i2CpinsOn  = %00000000

PUB noop



